Bug 110941 - [CI][RESUME] igt@kms_chamelium@hdmi-audio - fail - Failed assertion: success
Summary: [CI][RESUME] igt@kms_chamelium@hdmi-audio - fail - Failed assertion: success
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: emersion
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-18 10:18 UTC by Martin Peres
Modified: 2019-06-26 11:57 UTC (History)
1 user (show)

See Also:
i915 platform: ICL
i915 features: display/audio


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-06-18 10:18:54 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6281/re-icl-u/igt@kms_chamelium@hdmi-audio.html

Starting subtest: hdmi-audio
Home directory not accessible: Permission denied
(kms_chamelium:1499) CRITICAL: Test assertion failure function test_display_audio, file ../tests/kms_chamelium.c:1428:
(kms_chamelium:1499) CRITICAL: Failed assertion: success
(kms_chamelium:1499) CRITICAL: Last errno: 2, No such file or directory
Comment 1 Martin Peres 2019-06-18 10:19:35 UTC
Assigning Simon since he is already working on the machine :)
Comment 2 CI Bug Log 2019-06-18 10:19:51 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* re-icl-u: igt@kms_chamelium@hdmi-audio - fail - Failed assertion: success
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6281/re-icl-u/igt@kms_chamelium@hdmi-audio.html
Comment 3 emersion 2019-06-18 13:10:03 UTC
Actually, I just realized this bug is likely fixed by:
https://lists.freedesktop.org/archives/igt-dev/2019-June/014453.html

I had similar logs when testing locally (the test saying the flatline is detected but failing).
Comment 4 emersion 2019-06-19 07:25:06 UTC
commit c6a0e43633a399899278353e452a52bb41ac96e1
Author: Simon Ser <simon.ser@intel.com>
Date:   Tue Jun 18 15:52:36 2019 +0300

    tests/kms_chamelium: fix read from uninitialized value in flatline audio test
    
    streak isn't initialized, which makes the test fail in the case in which it's
    not zero by chance. This bug has been seen in production™.
    
    Signed-off-by: Simon Ser <simon.ser@intel.com>
    Reviewed-by: Martin Peres <martin.peres@linux.intel.com>
Comment 5 CI Bug Log 2019-06-25 09:44:59 UTC
A CI Bug Log filter associated to this bug has been updated:

{- re-icl-u: igt@kms_chamelium@hdmi-audio - fail - Failed assertion: success -}
{+ re-icl-u: igt@kms_chamelium@(hdmi|dp)-audio - fail - Failed assertion: success +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_313/fi-icl-u2/igt@kms_chamelium@dp-audio.html
Comment 6 CI Bug Log 2019-06-25 09:45:13 UTC
A CI Bug Log filter associated to this bug has been updated:

{- re-icl-u: igt@kms_chamelium@(hdmi|dp)-audio - fail - Failed assertion: success -}
{+ ICL: igt@kms_chamelium@(hdmi|dp)-audio - fail - Failed assertion: success +}


  No new failures caught with the new filter
Comment 7 emersion 2019-06-25 09:56:30 UTC
The new failures seem like a different bug. It seems that DP audio tests are starting to pass instead of hitting the IsAudioStable issue. The fact that logs are truncated make it very difficult to understand what's going on.

Hopefully dynamic subtests will be able to help a little.

Should a new bug be opened?
Comment 8 CI Bug Log 2019-06-26 11:56:29 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_chamelium@(hdmi|dp)-audio - fail - Failed assertion: success -}
{+ ICL: igt@kms_chamelium@hdmi-audio - fail - Failed assertion: success +}


  No new failures caught with the new filter
Comment 9 Lakshmi 2019-06-26 11:57:35 UTC
(In reply to emersion from comment #7)
> The new failures seem like a different bug. It seems that DP audio tests are
> starting to pass instead of hitting the IsAudioStable issue. The fact that
> logs are truncated make it very difficult to understand what's going on.
> 
> Hopefully dynamic subtests will be able to help a little.
> 
> Should a new bug be opened?

Simon, I have created a new bug report for the above failure Bug 111003.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.